"use strict";
var src_1 = require("../src");
var box_1 = require("./box");
/**
 * Recommended Page setup
 * - Sets up the body to be full size
 * - Sets up box sizing to be border box
 **/
function setupPage(rootSelector) {
    /** Use full window size for application */
    src_1.cssRule('html, body', {
        height: '100%',
        width: '100%',
        padding: 0,
        margin: 0
    });
    /** Use border box */
    src_1.cssRule('html', {
        '-moz-box-sizing': 'border-box',
        '-webkit-box-sizing': 'border-box',
        boxSizing: 'border-box'
    });
    src_1.cssRule('*,*:before,*:after', {
        boxSizing: 'inherit'
    });
    /** Also root should fill parent */
    src_1.cssRule(rootSelector, box_1.fillParent);
}
exports.setupPage = setupPage;
